Zum Hauptinhalt springen
POST
/
communication-preferences
/
v4
/
statuses
/
batch
/
write
Abonnementstatus batchweise aktualisieren
curl --request POST \
  --url https://api.hubapi.com/communication-preferences/v4/statuses/batch/write \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "subscriberIdString": "<string>",
      "subscriptionId": 123,
      "legalBasisExplanation": "<string>"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "source": "<string>",
      "subscriberIdString": "<string>",
      "subscriptionId": 123,
      "timestamp": "2023-11-07T05:31:56Z",
      "businessUnitId": 123,
      "legalBasisExplanation": "<string>",
      "subscriptionName": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
inputs
object[]
erforderlich

Ein Array von PublicStatusRequest-Objekten, die jeweils die Details des Abonnementstatus für einen bestimmten Abonnenten darstellen. Diese Eigenschaft ist erforderlich.

Antwort

successful operation

completedAt
string<date-time>
erforderlich

Der Zeitpunkt (Datum und Uhrzeit), zu dem der Batch-Vorgang abgeschlossen wurde.

results
object[]
erforderlich

Ein Array mit den Ergebnissen aus dem Batch-Vorgang.

startedAt
string<date-time>
erforderlich

Der Zeitpunkt (Datum und Uhrzeit), zu dem der Batch-Vorgang gestartet wurde.

status
enum<string>
erforderlich

Der aktuelle Status des Batch-Vorgangs: PENDING, PROCESSING, CANCELED oder COMPLETE.

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

Ein Array von Fehlerobjekten mit Details zu den aufgetretenen Problemen.

URLs, die mit zugehörigen Ressourcen oder Dokumentationen verknüpft sind.

numErrors
integer<int32>

Die Anzahl der während des Batch-Vorgangs aufgetretenen Fehler.

requestedAt
string<date-time>

Der Zeitpunkt (Datum und Uhrzeit), zu dem die Anfrage gestellt wurde.

Last modified on April 13, 2026